Create an event subscription corresponding to your Chariot account.
Request
The request body for creating an event subscription
urlstringRequired
The webhook url where we'll send notifications.
categoryenumRequired
The category of the event. This is useful for filtering events.
Event names follow the pattern `{resource}.{event_type}` where `event_type` is either `created` or `updated`. Status transitions (for example, a Donor Account moving to `approved` or `rejected`) are emitted as `{resource}.updated` events — fetch the object to read its current status.
signing_secretstringOptional
The key that will be used to sign webhooks.
If no value is passed, a random string will be used as default.
This is necessary to verify that the webhook is coming from Chariot.
While this parameter is optional, it is highly recommended to pass a value
for the secret and implement webhook signature verification.
Response
Created
urlstring
The webhook url where we'll send notifications.
idstringRead-only
The unique identifier for the event subscription
created_atstringRead-onlyformat: "date-time"
The date and time the event subscription was created
statusenum
The status of the event subscription.
This indicates if we’ll send notifications to this subscription
- active: subscription is active and events will be delivered normally
- disabled: subscription is temporarily disabled and events will not be delivered
- deleted: subscription has been deleted and events will not be delivered
- requires_attention: subscription has been disabled due to delivery failures and events will not be delivered
categoryenum
The category of the event. This is useful for filtering events.
Event names follow the pattern {resource}.{event_type} where event_type is either created or updated. Status transitions (for example, a Donor Account moving to approved or rejected) are emitted as {resource}.updated events — fetch the object to read its current status.